Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine.listeners
Class ConvergenceObserver

    java.lang.Object
      org.joone.util.MonitorPlugin
          org.joone.engine.listeners.ConvergenceObserver

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, NeuralNetListener

Direct Known Subclasses:
  DeltaBasedConvergenceObserver, ErrorBasedConvergenceObserver

    public abstract class ConvergenceObserver

extends MonitorPlugin

Abstract class for all convergence observer.

Author:
  Boris Jansen
See Also:
  Serialized Form

Field Summary
`protected boolean` | `disableCurrentConvergence` The next flag indicates if the current convegence should be neglected.

Constructor Summary
`ConvergenceObserver()` Creates a new instance of ConvergenceObserver

Method Summary
`void` | `addConvergenceListener(ConvergenceListener aListener)` Adds a convergence listener.
`void` | `disableCurrentConvergence()` Disables current convergence events.
`protected void` | `fireNetConverged(Monitor aMonitor)` Fires a net converged event.
`void` | `removeConvergenceListener(ConvergenceListener aListener)` Removes a convergence listener.

Methods inherited from class org.joone.util.MonitorPlugin
`cicleTerminated, errorChanged, getName, getNeuralNet, getRate, manageCycle, manageError, manageStart, manageStop, manageStopError, netStarted, netStopped, netStoppedError, setName, setNeuralNet, setRate, toBeManaged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### disableCurrentConvergence

    protected boolean disableCurrentConvergence

  The next flag indicates if the current convegence should be neglected. This is used in situations where convergence was reached, but the network continues running. If we would not neglect the current convergence event would continue to be generated. This flag is used to disable the event sfor the current convergence.

Constructor Detail

### ConvergenceObserver

    public ConvergenceObserver()

  Creates a new instance of ConvergenceObserver

Method Detail

### addConvergenceListener

    public void addConvergenceListener(ConvergenceListener aListener)

  Adds a convergence listener.

  Parameters:
    `aListener` - the listener to add.

### removeConvergenceListener

    public void removeConvergenceListener(ConvergenceListener aListener)

  Removes a convergence listener.

  Parameters:
    `aListener` - the listener to remove.

### fireNetConverged

    protected void fireNetConverged(Monitor aMonitor)

  Fires a net converged event.

  Parameters:
    `aMonitor` - a monitor object.

### disableCurrentConvergence

    public void disableCurrentConvergence()

  Disables current convergence events. Used in situations where convergence was reached but the network keeps running. By calling this method no events signaling convergence was reached will be greated. Whenever the network moves out of the convergence state, new events will be created again once the system reaches convergence.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net